<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{2EDCE3E7-6ACF-46C3-BCFB-0B317183A220}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Howest.SchemaDiscovery</RootNamespace>
    <AssemblyName>Howest.SchemaDiscovery.SqlServer</AssemblyName>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DbObjects\SqlServer\SqlServerColumn.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerDbDataType.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerParameter.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerRelation.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerStoredProcedure.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerTable.cs" />
    <Compile Include="DbObjects\SqlServer\SqlServerView.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="SqlServerSchemaProvider.cs" />
    <Compile Include="Translators\Data\SqlServerDataTypeConverter.cs" />
    <Compile Include="Translators\Helpers\SqlServerTranslatorHelper.cs" />
    <Compile Include="Translators\SqlServerRelationTranslator.cs" />
    <Compile Include="Translators\SqlServerStoredProcedureTranslator.cs" />
    <Compile Include="Translators\SqlServerTableTranslator.cs" />
    <Compile Include="Translators\SqlServerViewTranslator.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Howest.SchemaDiscovery.Common\Howest.SchemaDiscovery.Common.csproj">
      <Project>{048AA3B0-3ED0-4FE0-BF48-759544EDC3BF}</Project>
      <Name>Howest.SchemaDiscovery.Common</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>